# class Puppet::Indirector::Hiera

### Public Class Methods

new(*args) click to toggle source
Calls superclass method Puppet::Indirector::Terminus.new

    # File lib/puppet/indirector/hiera.rb, line 4
    def initialize(*args)
      if ! Puppet.features.hiera?
        raise "Hiera terminus not supported without hiera library"
      end
      super
    end

### Public Instance Methods

find(request) click to toggle source

    # File lib/puppet/indirector/hiera.rb, line 11
    def find(request)
      hiera.lookup(request.key, nil, request.options[:variables], nil, nil)
    end